<template>
  <van-checkbox v-bind="$attrs" v-on="$listeners" class="block-check-box">
    <template #icon="props">
      <div :class="['checkbox-block', props.checked ? 'checkbox-block-checked' : 'checkbox-block-unchecked']">
        <slot name="default"></slot>
      </div>
    </template>
  </van-checkbox>
</template>

<script>
import { Checkbox } from "vant";
export default {
  name: "BlockCheckbox",
  components: {
    [Checkbox.name]: Checkbox,
  },
};
</script>

<style lang="less">
.block-check-box {
  margin-right: 16px;
  margin-bottom: 8px;
  .van-checkbox__icon {
    height: 100%;
  }

  .checkbox-block {
    background: #d8d8d8;
    border-radius: 4px;
    padding: 4px 8px;
    font-size: 12px;
    font-weight: 400;
    color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #d8d8d8;
    &-checked {
      background: rgba(14, 113, 255, 0.1);
      color: #0e71ff;
      border: #0e71ff 1px solid;
    }
  }
}
</style>
